---
title: '<mark>: The Mark Text element'
slug: Web/HTML/Element/mark
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - HTML5
  - Highlighting
  - Highlighting Text
  - Marking Text
  - Reference
  - Web
  - mark
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Mark Text element</strong> (<strong><code>&lt;mark&gt;</code></strong>) represents text which is <strong>marked</strong> or <strong>highlighted</strong> for reference or notation purposes, due to the marked passage's relevance or importance in the enclosing context.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/mark.html", "tabbed-shorter")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Typical use cases for <code>&lt;mark&gt;</code> include:</p>

<ul>
 <li>When used in a quotation ({{HTMLElement("q")}}) or block quote ({{HTMLElement("blockquote")}}), it generally indicates text which is of special interest but is not marked in the original source material, or material which needs special scrutiny even though the original author didn't think it was of particular importance. Think of this like using a highlighter pen in a book to mark passages that you find of interest.</li>
 <li>Otherwise, <code>&lt;mark&gt;</code> indicates a portion of the document's content which is likely to be relevant to the user's current activity. This might be used, for example, to indicate the words that matched a search operation.</li>
 <li>Don't use <code>&lt;mark&gt;</code> for syntax highlighting purposes; instead, use the {{HTMLElement("span")}} element with appropriate CSS applied to it.</li>
</ul>

<div class="note">
<p>Don't confuse <code>&lt;mark&gt;</code> with the {{HTMLElement("strong")}} element; <code>&lt;mark&gt;</code> is used to denote content which has a degree of <em>relevance</em>, while <code>&lt;strong&gt;</code> indicates spans of text of <em>importance</em>.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Marking_text_of_interest">Marking text of interest</h3>

<p>In this first example, a <code>&lt;mark&gt;</code> element is used to mark some text within a quote which is of particular interest to the user.</p>

<pre class="brush: html">&lt;blockquote&gt;
  It is a period of civil war. Rebel spaceships, striking from a
  hidden base, have won their first victory against the evil
  Galactic Empire. During the battle, &lt;mark&gt;Rebel spies managed
  to steal secret plans&lt;/mark&gt; to the Empire’s ultimate weapon,
  the DEATH STAR, an armored space station with enough power to
  destroy an entire planet.
&lt;/blockquote&gt;</pre>

<p>The resulting output looks like this:</p>

<p>{{EmbedLiveSample("Marking_text_of_interest", 650, 130)}}</p>

<h3 id="Identifying_context-sensitive_passages">Identifying context-sensitive passages</h3>

<p>This example demonstrates using <code>&lt;mark&gt;</code> to mark search results within a passage.</p>

<pre class="brush: html">&lt;p&gt;It is a dark time for the Rebellion. Although the Death
Star has been destroyed, &lt;mark class="match"&gt;Imperial&lt;/mark&gt;
troops have driven the Rebel forces from their hidden base and
pursued them across the galaxy.&lt;/p&gt;

&lt;p&gt;Evading the dreaded &lt;mark class="match"&gt;Imperial&lt;/mark&gt;
Starfleet, a group of freedom fighters led by Luke Skywalker
has established a new secret base on the remote ice world of
Hoth.&lt;/p&gt;</pre>

<p>To help distinguish the use of <code>&lt;mark&gt;</code> for search results from other potential usage, this example applies the custom class <code>"match"</code> to each match.</p>

<p>The results look like this:</p>

<p>{{EmbedLiveSample("Identifying_context-sensitive_passages", 650, 130)}}</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>The presence of the <code>mark</code> element is not announced by most screen reading technology in its default configuration. It can be made to be announced by using the CSS {{cssxref("content")}} property, along with the {{cssxref("::before")}} and {{cssxref("::after")}} pseudo-elements.</p>

<pre class="brush: css">mark::before,
mark::after {
  clip-path: inset(100%);
  clip: rect(1px, 1px, 1px, 1px);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

mark::before {
  content: " [highlight start] ";
}

mark::after {
  content: " [highlight end] ";
}
</pre>

<p>Some people who use screen readers deliberately disable announcing content that creates extra verbosity. Because of this, it is important to not abuse this technique and only apply it in situations where not knowing content has been highlighted would adversely affect understanding.</p>

<ul>
 <li><a href="https://developer.paciellogroup.com/blog/2017/12/short-note-on-making-your-mark-more-accessible/">Short note on making your mark (more accessible) | The Paciello Group</a></li>
 <li><a href="http://adrianroselli.com/2017/12/tweaking-text-level-styles.html">Tweaking Text Level Styles | Adrian Roselli</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'text-level-semantics.html#the-mark-element', '&lt;mark&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-mark-element', '&lt;mark&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.mark")}}</p>
